<?php
#=
//print_r($_POST);


include("../include/vars_adm.php");
include("../include/util.inc.php");
include("./dedoub.inc.php");

///////////////////////////////////////////////////////////////////////////////
//Programme principal
///////////////////////////////////////////////////////////////////////////////

if (!isset($_POST['cb']) || !isset($_POST['individu'])) {
    header('Location: dedoublonner.php?coches=0');
    exit();
    }
$individu=$_POST['individu'];
if ($individu=='e') {
    $table="eleves";
    $champ="eleve_id";
    }
else {
    $table="profs";
    $champ="prof_id";
    }

connecte($host,$user,$mdp,$db);
opensession('Sadmin',false);
if ($sess_login=='admstats') {
	aneantir_session();
	goto("./index.php");
	}
set_time_limit(0);

entete();

$fpcsv=fopen("../prive/dupdates.csv","a");

$seid=$scid=array();
foreach($_POST['cb'] as $id) {
    //Traiter un groupe d'homonymes. D'abord, les retrouver nom,...
    $q=recuperer_donnees($id);  //retourne le nombre d'homonymes
    if ($q<=1) continue;        //courage, fuyons...
    traiter_doublons();         //trouve les meilleures données
    afficher_doublons(2);       //passe=2
    $ok_eid=$deid[$ok_eidbl];
    $ok_cid=$dcid[$ok_cidbl];

    updates();  //modifie $deid et $dcid en enlevant le ok_ de chacune
    $seid=array_merge($seid,$deid); //celui qu'on garde dans la table eleves
    $scid=array_merge($scid,$dcid); //celui qu'on garde dans la table comptes
    }

fclose($fpcsv);
suppressions($seid,$scid);

menu_retour();


?>

</body>

</html>